[SM-Grimoire-Bugs] [Bug 15737] New: tint2 needs a dependency check

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Jun 7 01:41:21 EDT 2010


http://bugs.sourcemage.org/show_bug.cgi?id=15737

           Summary: tint2 needs a dependency check
           Product: Codex
           Version: test grimoire
          Platform: x86
        OS/Version: Linux
            Status: ASSIGNED
          Severity: normal
          Priority: P3
         Component: x11
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: ltdonny at gmail.com


I don't think tint2 ever got all its dependencies in order when I created the
spell.  I blame upstream documentation.  The method I will use is to ldd the
binary, then add those dependencies that are unmarked.  Problems I see with
this are that optional dependencies are pulled in, if any, but a cross-check
with `./configure --help' should fix that.

Any concerns?  I'll leave this open for a bit before doing committing anything.

I think all the dependencies in 0.9-rc1 are accounted for, but 0.10 is not.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list